## 4 Initialization files for Active-DVI

### 4.1 Syntax of initialization files

An initialization file for Active-DVI is simply a text file that contains options exactly similar to those you can give on the command line (with the exception of comments, made of a sharp sign (#) followed by some text that is ignored until the end of line). For instance:

    -exec # I know what I mean!
    -bgcolor grey16
    -fgcolor grey95

is a valid initialization file that sets the safety policy to -exec, then sets the background and foreground colors to obtain a nice reverse video effect.

### 4.2 Loading initialization files

Before parsing options on the command line, Active-DVI loads, in the order listed below, the following initialization files (nothing happens if any of them does not exist):

- system wide initialization file: /etc/advirc,
- user specific initialization files: ~/.advirc then ~/.advi/advirc,
- directory specific initialization file: ./.advirc.

### 4.3 Automatic setting of options

In addition, the user may load an arbitrary file containing options by specifying the file path via the command line argument -options-file. Hence, -options-file filename loads filename when parsing this option to set up the options contained in filename (thus overriding the options set before by the default ~/.advirc, ~/.advi/advirc, or ./.advirc, initialization files).